libunibreak: graphemebreak.h File Reference

libunibreak 5.1

Loading...
Searching...
No Matches
Macros | Functions
graphemebreak.h File Reference

Header file for the grapheme breaking algorithm. More...

`#include <stddef.h>`
`#include "unibreakbase.h"`
Include dependency graph for graphemebreak.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | GRAPHEMEBREAK_BREAK 0
| Between 2 graphemes. More...
#define | GRAPHEMEBREAK_NOBREAK 1
| Inside a grapheme. More...
#define | GRAPHEMEBREAK_INSIDEACHAR 2
| Inside a unicode character. More...

## Functions
void | init_graphemebreak (void)
| Initializes the wordbreak internals. More...
void | set_graphemebreaks_utf8 (const utf8_t *s, size_t len, const char *lang, char *brks)
| Sets the grapheme breaking information for a UTF-8 input string. More...
void | set_graphemebreaks_utf16 (const utf16_t *s, size_t len, const char *lang, char *brks)
| Sets the grapheme breaking information for a UTF-16 input string. More...
void | set_graphemebreaks_utf32 (const utf32_t *s, size_t len, const char *lang, char *brks)
| Sets the grapheme breaking information for a UTF-32 input string. More...

## Detailed Description

Header file for the grapheme breaking algorithm.

Author
  Andreas Röver

## Macro Definition Documentation

## ◆ GRAPHEMEBREAK_BREAK

#define GRAPHEMEBREAK_BREAK 0

Between 2 graphemes.

## ◆ GRAPHEMEBREAK_INSIDEACHAR

#define GRAPHEMEBREAK_INSIDEACHAR 2

Inside a unicode character.

## ◆ GRAPHEMEBREAK_NOBREAK

#define GRAPHEMEBREAK_NOBREAK 1

Inside a grapheme.

## Function Documentation

## ◆ init_graphemebreak()

void init_graphemebreak | ( | void |  | ) |

Initializes the wordbreak internals.

It currently does nothing, but it may in the future.

## ◆ set_graphemebreaks_utf16()

void set_graphemebreaks_utf16 | ( | const utf16_t * | s,
|  | size_t | len,
|  | const char * | lang,
|  | char * | brks
| ) |  |

Sets the grapheme breaking information for a UTF-16 input string.

Parameters

  [in] | s | input UTF-16 string
  [in] | len | length of the input
  [in] | lang | language of the input (reserved for future use)
  [out] | brks | pointer to the output breaking data, containing GRAPHEMEBREAK_BREAK or GRAPHEMEBREAK_NOBREAK. First element in output array is for the break behind the first character the pointer must point to an array with at least as many elements as there are characters in the string

## ◆ set_graphemebreaks_utf32()

void set_graphemebreaks_utf32 | ( | const utf32_t * | s,
|  | size_t | len,
|  | const char * | lang,
|  | char * | brks
| ) |  |

Sets the grapheme breaking information for a UTF-32 input string.

Parameters

  [in] | s | input UTF-32 string
  [in] | len | length of the input
  [in] | lang | language of the input (reserved for future use)
  [out] | brks | pointer to the output breaking data, containing GRAPHEMEBREAK_BREAK or GRAPHEMEBREAK_NOBREAK. First element in output array is for the break behind the first character the pointer must point to an array with at least as many elements as there are characters in the string

## ◆ set_graphemebreaks_utf8()

void set_graphemebreaks_utf8 | ( | const utf8_t * | s,
|  | size_t | len,
|  | const char * | lang,
|  | char * | brks
| ) |  |

Sets the grapheme breaking information for a UTF-8 input string.

Parameters

  [in] | s | input UTF-8 string
  [in] | len | length of the input
  [in] | lang | language of the input (reserved for future use)
  [out] | brks | pointer to the output breaking data, containing GRAPHEMEBREAK_BREAK or GRAPHEMEBREAK_NOBREAK. First element in output array is for the break behind the first character the pointer must point to an array with at least as many elements as there are characters in the string